## org.eclipse.datatools.sqltools.routineeditor
Class ProcEditorInput

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.SQLEditorStorageEditorInput
          org.eclipse.datatools.sqltools.routineeditor.ProcEditorInput

All Implemented Interfaces:
  ISQLEditorInput

    public class ProcEditorInput

extends SQLEditorStorageEditorInput

The editor input object for routine editor.

Author:
  Yang Liu

Constructor Summary
`ProcEditorInput(ProcIdentifier procid)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`boolean` `exists()` Gets whether the editor input exists.
`java.lang.Object` `getAdapter(java.lang.Class adapter)` Gets an object which is an instance of the given class associated with this object.
`java.lang.String` `getId()` Returns the unique identifier that distinguishes this editor input
`ImageDescriptor` `getImageDescriptor()` Gets the image descriptor for this input.
`java.lang.String` `getName()` Gets the name of this editor input for display purposes.
`IPersistableElement` `getPersistable()` Gets an object that can be used to save the state of this editor input.
`ProcIdentifier` `getProcIdentifier()`
`java.lang.String` `getSourceCode()` Convenience method for ((SQLEditorStorage)getStorage()).getContentsString()
`java.lang.String` `getToolTipText()` Gets the tool tip text for this editor input.
`boolean` `isConnectionRequired()` Returns whether database connection is required for this editor input to exist.
`boolean` `isEditable()` Judges whether this IEditorInput is editable
`void` `setEditable(boolean isEditable)` Set isEditable status
`void` `setSourceCode(java.lang.String code)` Convenience method for setStorage(new SQLEditorStorage(_procIdentifier.getDisplayString(), code))

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.SQLEditorStorageEditorInput
`getConnectionInfo, getFactoryId, getStorage, saveState, setConnectionInfo, setName, setStorage`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcEditorInput

    public ProcEditorInput(ProcIdentifier procid)

Method Detail

### getProcIdentifier

    public ProcIdentifier getProcIdentifier()

### isEditable

    public boolean isEditable()

  Judges whether this IEditorInput is editable

  Returns:
    _isEditable

### setEditable

    public void setEditable(boolean isEditable)

  Set isEditable status

  Parameters:
    `isEditable` -

### exists

    public boolean exists()

  Description copied from class: `SQLEditorStorageEditorInput`
  Gets whether the editor input exists.

  Overrides:
    `exists` in class `SQLEditorStorageEditorInput`
  See Also:
    `org.eclipse.ui.IEditorInput#exists()`

### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

  Description copied from class: `SQLEditorStorageEditorInput`
  Gets the image descriptor for this input.

  Overrides:
    `getImageDescriptor` in class `SQLEditorStorageEditorInput`
  See Also:
    `org.eclipse.ui.IEditorInput#getImageDescriptor()`

### getName

    public java.lang.String getName()

  Description copied from class: `SQLEditorStorageEditorInput`
  Gets the name of this editor input for display purposes.

  Overrides:
    `getName` in class `SQLEditorStorageEditorInput`
  See Also:
    `org.eclipse.ui.IEditorInput#getName()`

### getPersistable

    public IPersistableElement getPersistable()

  Description copied from class: `SQLEditorStorageEditorInput`
  Gets an object that can be used to save the state of this editor input.

  Overrides:
    `getPersistable` in class `SQLEditorStorageEditorInput`
  See Also:
    `org.eclipse.ui.IEditorInput#getPersistable()`

### getToolTipText

    public java.lang.String getToolTipText()

  Description copied from class: `SQLEditorStorageEditorInput`
  Gets the tool tip text for this editor input.

  Overrides:
    `getToolTipText` in class `SQLEditorStorageEditorInput`
  See Also:
    `org.eclipse.ui.IEditorInput#getToolTipText()`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Description copied from class: `SQLEditorStorageEditorInput`
  Gets an object which is an instance of the given class associated with this object. Returns `null` if no such object can be found. This default implementation returns null.

  Overrides:
    `getAdapter` in class `SQLEditorStorageEditorInput`
  See Also:
    `org.eclipse.core.runtime.IAdaptable#getAdapter(java.lang.Class)`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getSourceCode

    public java.lang.String getSourceCode()

  Convenience method for ((SQLEditorStorage)getStorage()).getContentsString()

  Returns:

### setSourceCode

    public void setSourceCode(java.lang.String code)

  Convenience method for setStorage(new SQLEditorStorage(_procIdentifier.getDisplayString(), code))

  Parameters:
    `code` -

### isConnectionRequired

    public boolean isConnectionRequired()

  Description copied from interface: `ISQLEditorInput`
  Returns whether database connection is required for this editor input to exist.

  Specified by:
    `isConnectionRequired` in interface `ISQLEditorInput`
  Overrides:
    `isConnectionRequired` in class `SQLEditorStorageEditorInput`
  Returns:

### getId

    public java.lang.String getId()

  Description copied from interface: `ISQLEditorInput`
  Returns the unique identifier that distinguishes this editor input

  Specified by:
    `getId` in interface `ISQLEditorInput`
  Overrides:
    `getId` in class `SQLEditorStorageEditorInput`
  Returns:
    A string id

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.